Bug 1280459 - gdm fails to fully start after upgrade to F23
gdm fails to fully start after upgrade to F23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 14:21 EST by lutter@watzmann.net
Modified: 2016-12-20 10:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:41:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdm debug log (31.69 KB, text/plain)
2015-11-11 18:02 EST, lutter@watzmann.net
no flags Details

  None (edit)
Description lutter@watzmann.net 2015-11-11 14:21:54 EST
I just upgraded from Fedora 22 to Fedora 23. When I start my system (with an i7 4790k), the boot process is in text mode (I get a text prompt for the disk password). Bootup proceeds without any errors, but just hangs after printing 'Starting Switch Root'

Logging in from another system, 'journalctl -u gdm' shows a ton of messages like:

  Nov 11 11:01:44 avon.watzmann.net gdm[1948]: Child process -10167 was already dead.
  Nov 11 11:01:44 avon.watzmann.net gdm[1948]: Child process 10153 was already dead.
  Nov 11 11:01:44 avon.watzmann.net gdm[1948]: Unable to kill session worker process

When I restart gdm.service and strace the gdm process, gdm continually opens /etc/locale.conf and /etc/passwd but never closes them, eventually running out of file handles, at which point it just sits there in sadness.

Key packages: kernel-4.2.5-300.fc23.x86_64
              plymouth-0.8.9-11.2013.08.14.fc23.x86_64
              gdm-3.18.0-1.fc23.x86_64

I also tried to run gdm under strace with 'strace -ff -o /var/tmp/gdm/trace /usr/sbin/gdm' but that produced 190MB of output across 1500 files and I am not sure which ones would be helpful to investigate this further.
Comment 1 lutter@watzmann.net 2015-11-11 14:33:07 EST
One problem was that libpng was not installed (no idea why not); after installing that manually, the system now boots to the graphical Fedora logo, but then hangs. On VT 2, I have a message 'A start job is running for Wait for Plymouth Boot Screen to Quit'
Comment 2 lutter@watzmann.net 2015-11-11 18:02 EST
Created attachment 1092910 [details]
gdm debug log
Comment 3 lutter@watzmann.net 2015-11-11 18:03:00 EST
I just rebooted after setting 'Enable=true' in the debug section in /etc/gdm/custom.conf. Attached is what jounralctl -u gdm outputs after the system is fully up.

Since I've installed libpng, I get working VT's, but VT 1 still just sits there stuck at the output from systemd (everything marked as [OK]), the last things there are 'Starting GNOME Display Manager' 'Created slice user-42.slice', 'Starting User Manager for UID42...' and 'Started User Manager for UID 42'
Comment 4 lutter@watzmann.net 2015-11-11 20:45:43 EST
After some more sleuthing in /var/log/messages, I noticed that it contains hte following errors:

Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:32
43): WARNING **: libogg.so.0: cannot open shared object file: No such file or di
rectory
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Cannot load plugin 'Power' since file '/usr/lib64/gnome-settings-daemon-3.0/libpower.so' cannot be read.
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Error activating plugin 'Power'
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: libogg.so.0: cannot open shared object file: No such file or directory
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Cannot load plugin 'Sound' since file '/usr/lib64/gnome-settings-daemon-3.0/libsound.so' cannot be read.
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Error activating plugin 'Sound'
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: libogg.so.0: cannot open shared object file: No such file or directory
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Cannot load plugin 'Color' since file '/usr/lib64/gnome-settings-daemon-3.0/libcolor.so' cannot be read.
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Error activating plugin 'Color'
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: libogg.so.0: cannot open shared object file: No such file or directory
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Cannot load plugin 'Media keys' since file '/usr/lib64/gnome-settings-daemon-3.0/libmedia-keys.so' cannot be read.
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: ** (gnome-settings-daemon:3243): WARNING **: Error activating plugin 'Media keys'
Nov 11 17:36:45 avon gnome-settings-daemon.desktop: Gtk-Message: Failed to load module "canberra-gtk-module"

All these libraries seem to need libogg which was not installed. After installing libogg gdm is working again.

I do not understand why these dependencies weren't pulled in by the actual upgrade - this system was a pretty recent install of Fedora 22 (installed early October) and I definitely hadn't done any weird package surgery. Neither libogg or libpng are mentioned as dependencies by anything
Comment 5 Ray Strode [halfline] 2015-11-12 10:14:36 EST
it sounds like the upgrade may have removed a bunch of required dependencies.

does 

sudo dnf groupinstall "fedora workstation"

pull in a lot of stuff ?
Comment 6 lutter@watzmann.net 2015-11-12 12:16:51 EST
It does pull in some:

Installing:
 adobe-source-han-sans-tw-fonts       noarch  1.004-1.fc23        fedora   29 M
 gnome-characters                     x86_64  3.18.1-1.fc23       fedora  450 k
 google-noto-sans-meetei-mayek-fonts  noarch  20150417-2.fc23     fedora   23 k
 ibus-libzhuyin                       x86_64  1.7.4-2.fc23        fedora  107 k
 libzhuyin                            x86_64  1.0.91-1.fc23       fedora  148 k
 libzhuyin-data                       x86_64  1.0.91-1.fc23       fedora  7.3 M
 opencc                               x86_64  1.0.2-4.fc23        fedora  1.2 M
 pinentry-gnome3                      x86_64  0.9.6-3.fc23        fedora   44 k

Transaction Summary
================================================================================
Install  8 Packages

but even after installing that, and after a 'rpm --rebuilddb', when I run 'dnf erase libogg libpng', that would only erase these two packages even though at least gnome-settings-daemon needs libogg to work properly
Comment 7 Fedora End Of Life 2016-11-24 08:19:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 10:41:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.